summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Vijay Marcel2022-08-18 09:27:45 +0200
committer Willy Sudiarto Raharjo2022-08-20 05:06:41 +0200
commit9d262dce78682c5a8c5fdfbcd57a5fbabaf8dbd1 (patch)
tree18e55a5ad766f0786309b83f4b077a521883e5aa /system
parentf35bf371b6d569c6e53f687723db6a7a1739689d (diff)
downloadslackbuilds-9d262dce78682c5a8c5fdfbcd57a5fbabaf8dbd1.tar.gz
system/fnt: Added (Font Downloader for UNIX)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/fnt/README25
-rw-r--r--system/fnt/fnt.SlackBuild113
-rw-r--r--system/fnt/fnt.info10
-rw-r--r--system/fnt/slack-desc19
4 files changed, 167 insertions, 0 deletions
diff --git a/system/fnt/README b/system/fnt/README
new file mode 100644
index 0000000000..d3eb846bc1
--- /dev/null
+++ b/system/fnt/README
@@ -0,0 +1,25 @@
+fnt is the APT for fonts in UNIX like operating systems
+
+It downloads fonts from Debian-Sid and Google fonts,
+these fonts are prefixed with font- and google- respectively.
+
+It can be run as normal user.
+
+Note: It includes font metapackges in its search list
+do not install that.
+
+Usage:
+
+To run first update the font index
+
+$ fnt update
+
+To install:
+
+$ fnt install agave
+
+To uninstall a font
+
+$ fnt remove agave
+
+This work is licensed under the MIT License.
diff --git a/system/fnt/fnt.SlackBuild b/system/fnt/fnt.SlackBuild
new file mode 100644
index 0000000000..90d27b88e3
--- /dev/null
+++ b/system/fnt/fnt.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for fnt
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fnt
+VERSION=${VERSION:-1.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+sed -i '2 i MANDIR=/usr/man' makefile
+sed -i.bak '3d' makefile
+rm -rvf makefile.bak
+sed -i.bak '3d' makefile
+rm -rvf makefile.bak
+sed -i '3 i ZCOMPDIR=/usr/share/zsh/site-functions' makefile
+
+make
+make install DESTDIR=$PKG
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/fnt/fnt.info b/system/fnt/fnt.info
new file mode 100644
index 0000000000..c68df92242
--- /dev/null
+++ b/system/fnt/fnt.info
@@ -0,0 +1,10 @@
+PRGNAM="fnt"
+VERSION="1.4.1"
+HOMEPAGE="https://github.com/alexmyczko/fnt"
+DOWNLOAD="https://github.com/alexmyczko/fnt/archive/1.4.1/fnt-1.4.1.tar.gz"
+MD5SUM="b9ca2f91096a715e13287dd8dc9d4744"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="chafa lcdf-typetools"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/system/fnt/slack-desc b/system/fnt/slack-desc
new file mode 100644
index 0000000000..c5e3570271
--- /dev/null
+++ b/system/fnt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fnt: fnt (Font Downloader for UNIX)
+fnt:
+fnt: A Font downloader for UNIX like systems.It downloads from
+fnt: Debian Sid and Google Fonts.
+fnt:
+fnt: Homepage: https://github.com/alexmyczko/fnt
+fnt:
+fnt:
+fnt:
+fnt:
+fnt: